| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_i2c_int_cb Struct Reference
Multi Function Serial Interface (MFS)

I2C interrupt callback function. More...

`#include <mfs.h>`

## Data Fields
func_ptr_t | pfnTxIntCb
| I2C TX interrupt callback function pointer.
func_ptr_t | pfnRxIntCb
| I2C RX interrupt callback function pointer.
func_ptr_t | pfnTxIdleCb
| I2C TX idle interrupt callback function pointer.
func_ptr_t | pfnTxFifoIntCb
| I2C TX FIFO interrupt callback function pointer.
func_ptr_t | pfnTxRxCb
| I2C TX and RX completion interrupt callback function.
func_ptr_t | pfnStopDetectCb
| I2C stop condition interrupt.

## Detailed Description

I2C interrupt callback function.

Definition at line 876 of file mfs.h.

## Field Documentation

func_ptr_t pfnRxIntCb

I2C RX interrupt callback function pointer.

Definition at line 879 of file mfs.h.

Referenced by I2cRxData(), I2cTxRxData(), Mfs_I2c_DisableInt(), Mfs_I2c_EnableInt(), and MfsI2cIrqHandlerRx().

func_ptr_t pfnStopDetectCb

I2C stop condition interrupt.

Definition at line 883 of file mfs.h.

Referenced by I2cRxData(), I2cTxData(), I2cTxRxData(), Mfs_I2c_DisableInt(), Mfs_I2c_EnableInt(), and MfsI2cIrqHandlerStatus().

func_ptr_t pfnTxFifoIntCb

I2C TX FIFO interrupt callback function pointer.

Definition at line 881 of file mfs.h.

Referenced by Mfs_I2c_DisableInt(), Mfs_I2c_EnableInt(), and MfsI2cIrqHandlerTx().

func_ptr_t pfnTxIdleCb

I2C TX idle interrupt callback function pointer.

Definition at line 880 of file mfs.h.

Referenced by Mfs_I2c_DisableInt(), Mfs_I2c_EnableInt(), and MfsI2cIrqHandlerTx().

func_ptr_t pfnTxIntCb

I2C TX interrupt callback function pointer.

Definition at line 878 of file mfs.h.

Referenced by I2cRxData(), I2cTxData(), I2cTxRxData(), Mfs_I2c_DisableInt(), Mfs_I2c_EnableInt(), and MfsI2cIrqHandlerTx().

func_ptr_t pfnTxRxCb

I2C TX and RX completion interrupt callback function.

Definition at line 882 of file mfs.h.

Referenced by I2cRxData(), I2cTxData(), I2cTxRxData(), Mfs_I2c_DisableInt(), Mfs_I2c_EnableInt(), and MfsI2cIrqHandlerStatus().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mfs/mfs.h